rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
debug.h File Reference
`#include <assert.h>`
Include dependency graph for debug.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RPMDBG_TOSTR(a) RPMDBG_TOSTR_ARG(a)
| To be included after all other includes. More...
#define | RPMDBG_TOSTR_ARG(a) #a
#define | RPMDBG() "at: " __FILE__ ":" RPMDBG_TOSTR (__LINE__)
#define | RPMDBG_M_DEBUG(msg) msg " " RPMDBG()
#define | RPMDBG_M_NODEBUG(msg) NULL
#define | RPMDBG_M(msg) RPMDBG_M_DEBUG(msg)

## Macro Definition Documentation

#define RPMDBG | ( |  | ) | "at: " __FILE__ ":" RPMDBG_TOSTR (__LINE__)

Definition at line 16 of file debug.h.

#define RPMDBG_M | ( |  | msg | ) | RPMDBG_M_DEBUG(msg)

Definition at line 20 of file debug.h.

#define RPMDBG_M_DEBUG | ( |  | msg | ) | msg " " RPMDBG()

Definition at line 17 of file debug.h.

#define RPMDBG_M_NODEBUG | ( |  | msg | ) | NULL

Definition at line 18 of file debug.h.

#define RPMDBG_TOSTR | ( |  | a | ) | RPMDBG_TOSTR_ARG(a)

To be included after all other includes.

Definition at line 13 of file debug.h.

#define RPMDBG_TOSTR_ARG | ( |  | a | ) | #a

Definition at line 14 of file debug.h.